/*----------------------------------------------------------------------*
 *      All Rights Reserved, Copyright (C) FUJITSU LIMITED  2011-2011   *
 *----------------------------------------------------------------------*/
/**
 * @file    FttsLngHandle.h
 * @brief   言語処理部のハンドルクラス宣言
 * @author  Y.Teramoto
 * @date    2011/09/30
 */

#import <Foundation/Foundation.h>
#include "FttsLib/lgproc.h"

/*!
 * @class FttsLngHandle
 * @brief 言語処理部のハンドル
 */
@interface FttsLngHandle : NSObject {
	LNGHANDLE m_hLng;	/**< 言語処理部のハンドル */
}

- (BOOL)prepareHandle;
- (void)releaseHandle;

- (NSString *)analyze:(NSString *)textStr;

@end
/* vim:set tabstop=4  : */
